package cn.com.yitong.util.common;

import cn.com.yitong.util.common.StringUtil;
import java.text.DecimalFormat;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.math.NumberUtils;

public class AmountUtils {

   public static String changeF2Y(String amount) {
      return changeF2Y(amount, "#0.0000");
   }

   public static String changeF2Y(String amount, String format) {
      if(StringUtil.isBlank(amount)) {
         return "0.00";
      } else {
         DecimalFormat fmt = new DecimalFormat(format);
         Double d = Double.valueOf(Double.parseDouble(amount));
         return fmt.format(d.doubleValue() / 100.0D);
      }
   }

   public static String changeY2F(String amount) {
      if(StringUtil.isBlank(amount)) {
         return "0";
      } else {
         DecimalFormat fmt = new DecimalFormat("#0");
         Double d = Double.valueOf(Double.parseDouble(amount));
         return fmt.format(d.doubleValue() * 100.0D);
      }
   }

   public static String transAmtFormat(Object amt) {
      String transAmt;
      if(StringUtils.isBlank(transAmt = String.valueOf(amt))) {
         return "";
      } else {
         DecimalFormat fmt = new DecimalFormat("#");
         double amtDou = NumberUtils.toDouble(transAmt, 0.0D);
         return fmt.format(amtDou);
      }
   }

   public static String formatAmount(String amount) {
      DecimalFormat fmt = new DecimalFormat("#,###,###.00");
      Double d = Double.valueOf(NumberUtils.toDouble(amount, 0.0D));
      return fmt.format(d);
   }

   public static String changeY2Y(String amount) {
      DecimalFormat fmt = new DecimalFormat("#.00");
      Double d = Double.valueOf(NumberUtils.toDouble(amount, 0.0D));
      return fmt.format(d);
   }

   public static void main(String[] args) {
      System.out.println(changeY2Y("1231231.99"));
   }
}
